Instalar OpenOffice 3.1 en Ubuntu


Si bien la última versión de Ubuntu (9.04) no alcanzo a incluir la recién salida del horno OpenOffice 3.1, esto no es mayor problema, ya que se encuentra disponible en el repositorio de Launchpad (PPA) para que agregando un par de lineas tengas lo último de la suite ofimática libre por excelencia.

Las instrucciones sirver para Ubuntu 8.04 – 8.10 – 9.04 y debes hacer los siguiente:

1) Sistema – Administración – Origenes del software y en la pestaña Software de terceros dar clic al boton añadir. Ahí agregas las siguientes líneas (una a la vez):

Para hardy (8.04):

deb http://ppa.launchpad.net/openoffice-pkgs/ppa/ubuntu hardy main
deb-src http://ppa.launchpad.net/openoffice-pkgs/ppa/ubuntu hardy main

Para intrepid (8.10):

deb http://ppa.launchpad.net/openoffice-pkgs/ppa/ubuntu intrepid main
deb-src http://ppa.launchpad.net/openoffice-pkgs/ppa/ubuntu intrepid main

Para jaunty (9.04):

deb http://ppa.launchpad.net/openoffice-pkgs/ppa/ubuntu jaunty main
deb-src http://ppa.launchpad.net/openoffice-pkgs/ppa/ubuntu jaunty main

2) Y luego recargas la lista de repositorios, si sale un mensaje de error es porque debes agregar las firmas públicas del repositorio PPA, para resolver esto debes hacer los siguiente:

a) ir a Aplicaciones – Accesorios – Terminal y pegar la siguiente línea y dar enter (si pide tu clave la ingresas):

sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com D2BB86E0EBD0F0A43D4DB3A760D11217247D1CFF

b) luego de eso debemos recargar nuestra lista de repositorios y actualizar el sistema (para que se actualice Openoffice), para ello copia la siguiente línea en la misma terminal:

sudo aptitude update & safe-upgrade

Una vez actualizada podrás ver todas la novedades que se detallan en esta página:

http://www.openoffice.org/dev_docs/features/3.1/index.html

Acerca de Manuel

Teacher of English as a foreign language I'm 25 years old, fan of cumputers and football soccer, my favorite soccer team is Colo-Colo. I like listenig to music and reading about technology on FayerWayer or Engadget I'm a user of Ubuntu Linux.

29 pensamientos en “Instalar OpenOffice 3.1 en Ubuntu

  1. Bravo! El único blog donde veo que ponen una buena forma de obtener la clave del repositorio:

    En este ponen directamente la clave en la web y la tienes que copiar a un archivo (bastante engorroso)
    http://webupd8.blogspot.com/2009/05/install-openoffice-31-in-ubuntu-jaunty.html

    Y más de este tipo que no se molestan en poner en pasos más correctos.

    Por otro lado al instalarlo se me ha quedado en inglés y tras intentar instalar los paquetes de español, no encuentra los candidatos:
    sudo apt-get install openoffice.org3-es openoffice.org-dict-es
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo la información de estado… Hecho
    El paquete openoffice.org3-es no está disponible, pero algún otro paquete hace referencia
    a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
    encuentra disponible desde alguna otra fuente
    E: El paquete openoffice.org3-es no tiene candidato para su instalación

    ¿Alguien ha conseguido instalar el paquete de idioma desde este repo?

  2. Yo lo hago lo mismo, pero no pasa nada, sigo con la edición 3.0. Creo que mi problema es que se actualizan los repositorios, por que alguna que otra vez he probado a actualizar algo a través de los repositorios y no me lo ha hecho, alguien sabe cuál puede ser el problema?????

  3. Pingback: Software Libre y Cooperación » Blog Archive » Instálate ya OpenOffice 3.1 en tu ubuntu

  4. Disiento con jza, la versión de OOo de los repositorios de Ubuntu en realidad es una versión modificada (y mejorada) del OOo original, también conocida como Go-oo (http://www.go-oo.org/). Así que, mejor instalarse la de los repositorios; no la de OpenOffice.org.

    Y respecto a la instalación, también tuve problemas. Aptitude me “retiene” los paquetes de OOo, mientras que el Gestor de actualizaciones me fuerza a hacer una actualización parcial de la distribución y después me da un error diciendo que no se puede “calcular” la actualización. Extraño…

    • La version Go-oo no esta ‘mejorada’ realmente es fork de novel que usa mono y otras tecnologias que tienen el riesgo de patentes. Aparte no soportamos esta version dada a las modificaciones que esta distribucion trae.
      http://boycottnovell.com/2008/08/10/novell-poisons-openoffice/

      Aparte es una version que muchos consideran que fue vendida a Microsoft para empujar el formato OOXML dentro de la guerra de formatos en la ISO hace un par de anios.

      http://boycottnovell.com/2009/01/01/go-oo-disruption/

      Generalmente no recomendamos esta version ya que los forks que se hacen no son compatibles y muchas veces se vuelve dificil tener una vision de que es lo que se mueve dentro de este build.

      • Para bien o para mal, Go-oo ES la versión por defecto de Ubuntu (aunque lleve el nombre OpenOffice.org).

        https://answers.launchpad.net/ubuntu/+source/openoffice.org/+question/14965

        Respecto de si es “mejorada” o no, es ciertamente una cuestión de gustos personales. Pero para mí, que esta versión haya tenido soporte para SVG y multimedia cuando el OOo original NO lo tenía, FUE (y ES) una evidente mejora. (Admito que no sé cuál es el estado actual de OOo en estas materias)

        Pero lo que quiero resaltar es que: si la versión de OOo que viene en Ubuntu es en realidad Go-oo, instalar el OOo original puede significar la pérdida de ciertas características que la comunidad de OOo no han querido implementar (por las razones políticas, legales, económicas o las que sean). Así que el que haga el cambio deberá atenerse a las conscuencias…

  5. OK. Pude avanzar un paso más con el siguiente comando:
    sudo aptitude dist-upgrade

    Sin embargo:
    (i) El sistema presenta problemas para resolver todas las dependencias (hay paquetes rotos y todo).
    (ii) Aptitude comienza a ofrecer posibles soluciones para salir del paso (me las pregunta una por una, a ver cuál prefería), pero siempre tiene que sacrificar tal o cual aspecto
    (iii) el nombre de los paquetes es rc2, por lo que supongo que aún no se trata de la versión definitiva. Quizás cuando empaqueten la última versión, tendremos menos problemas…

  6. “nieto@vnieto-laptop:~$ sudo apt-get dist-upgrade

    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo la información de estado… Hecho
    Calculando la actualización… Listo
    Los siguientes paquetes se ELIMINARÁN:
    language-support-en language-support-es language-support-translations-en
    language-support-translations-es openoffice.org-help-en-gb
    openoffice.org-help-es openoffice.org-l10n-en-gb openoffice.org-l10n-en-za
    openoffice.org-l10n-es thunderbird-locale-en-gb thunderbird-locale-es-ar
    thunderbird-locale-es-es
    Se instalarán los siguientes paquetes NUEVOS:
    linux-restricted-modules-2.6.28-12-generic
    Se actualizarán los siguientes paquetes:
    linux-restricted-modules-generic openoffice.org-base-core
    openoffice.org-calc openoffice.org-common openoffice.org-core
    openoffice.org-draw openoffice.org-gnome openoffice.org-gtk
    openoffice.org-impress openoffice.org-math openoffice.org-style-human
    openoffice.org-writer python-uno
    13 actualizados, 1 se instalarán, 12 para eliminar y 0 no actualizados.
    Necesito descargar 65,7MB de archivos.
    Se liberarán 62,3MB después de esta operación.
    ¿Desea continuar [S/n]? ”
    NO me atrevo a decirle que si, porque sugiere desinstalar el paquete de idiomas.
    Alguien ha podido instalarlo en español sin afectar el resto de programas?

    • Ojo que si le pones que NO, te va a dando otras alternativas, algunas menos funestas que otras. (Que implica la eliminación de menos paquetes).

      Por si te atreves… yo no me atreví. Jeje.

  7. @victor nieto: Yo ya lo instalé mediante el procedimiento que mencionas. No interfiere con otros programas mas que con él mismo ya que en lugar de quedar en español queda en inglés.
    También la pantalla de inicio puede confundir un poco porque sale OpenOffice.org 3.0 y no 3.1 pero al meternos en “Help/About OpenOffice.org” ya sale que nuestra versión es la 3.1
    Espero que esta información te sea de utilidad.

  8. A mí me pasa lo mismo, los paquetes se retienen al hacer un upgrade..prefiero esperar a que los repos funcionen correctamente..

    saludos y buen blog..

  9. Gracias a todos por los diferentes comentarios, todos ayudan bastante a conocer mucho más sobre esta suite ofimática y su importancia en Ubuntu, con respecto a los problemas del idioma puedo verificar que en los repositorios PPA aún no estan disponibles hasta una nueva sincronizacion con los repos de karmic koala (9.10) y Debian respectivos, esperemos que esto se soluciones pronto y podamos disfrutar de Go-oo

  10. Pingback: Instálate ya OpenOffice 3.1 en tu ubuntu « Conocimiento Libre (o lo que está detrás del Software Libre)

  11. ¡¡¡Que locura por favor!!!
    Como no van a ser capaces de hacer las cosas SIMPLES, para usuarios comunes y corrientes. Como no se puede instalar un software en español, con un par de clic, como lo hace el innombrable Win.
    Como me van a decir que esto es mejor

  12. Pingback: Instalar OpenOffice 3.1 en Ubuntu « Cambia de S.O.

  13. es la primera vez que utilizo Ubuntu y me parece que tiene muchas cualidades y creo que es mucho mejor que windows por ser mas estrable.
    tiene instalado open office 3.0 y se que esta la version 3.1 solo que no la puedo instalar, quisiera ver si alguien me pudiera explicar que debo hacer paso a paso para poder instalar 3.1 se los agradecere mucho. gracias

  14. Pingback: Instalar OpenOffice 3.1 en Ubuntu « Cambia de S.O.

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s